const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.y;
    # 0x0;
    z.y = arg1[48];
    esi_global_2d_to_2d_local = arg1 + 128 # esi;
    v2_16 = arg1 + 208 # bp+16;
    v3_16 = *v2_16 # bp+16;
    if v3_16 != 0:;
        # 0x80;
        xmm6_global_2d_to_2d_local = __asm_movupd(arg1[216]);
        xmm5_global_2d_to_2d_local = __asm_movupd(esi_global_2d_to_2d_local[112]);
    else:;
        # 0x1c;
        *v2_16 = v3_16 + 1;
        xmm6_global_2d_to_2d_local = __asm_movupd(z.x);
        v4_23 = __asm_movlpd(xmm5_global_2d_to_2d_local, z.z) # bp+23;
        v2_27 = __asm_xorpd(xmm4_global_2d_to_2d_local, xmm4_global_2d_to_2d_local) # bp+27;
        xmm5_global_2d_to_2d_local = __asm_unpcklpd(v4_23, v4_23);
        __asm_movupd_1(esi_global_2d_to_2d_local[88], xmm6_global_2d_to_2d_local);
        __asm_movupd_1(esi_global_2d_to_2d_local[112], xmm5_global_2d_to_2d_local);
        __asm_movlpd_2(*((esi_global_2d_to_2d_local - 144)), v2_27);
    v1_8a = __asm_movapd(xmm6_global_2d_to_2d_local);
    v1_8e = __asm_movapd(xmm5_global_2d_to_2d_local);
    v1_44 = __asm_movapd(v1_8a) # bp+44;
    v2_48 = __asm_mulpd(v1_8a, v1_8e) # bp+48;
    v2_4c = __asm_mulpd(v1_8e, v1_8e);
    v2_50 = __asm_mulpd(v1_44, v1_44) # bp+50;
    __asm_addpd(v2_48, v2_48);
    __asm_subpd(v2_4c, v2_50);
    return z.x;

# Address range: 0x97 - 0x143;
def function_97(arg1, arg2, arg3, arg4, arg5):;
    global z.y;
    v5_c2 = __asm_movlpd(xmm2_global_2d_to_2d_local, *((esi_global_2d_to_2d_local - 88)));
    v4_c7 = __asm_movupd(*((esi_global_2d_to_2d_local - 104)));
    v2_cc = __asm_unpcklpd(v5_c2, v5_c2);
    v2_d0 = __asm_addpd(xmm1_global_2d_to_2d_local, v4_c7);
    v2_d4 = __asm_addpd(xmm0_global_2d_to_2d_local, v2_cc);
    __asm_movupd_1(esi_global_2d_to_2d_local[88], v2_d0);
    __asm_movupd_1(esi_global_2d_to_2d_local[112], v2_d4);
    v1_e2 = __asm_pshufd(v2_d4, 78);
    v1_e7 = __asm_pshufd(v2_d0, 78);
    v2_ec = __asm_addsd(v1_e2, v2_d4);
    v2_f0 = __asm_addsd(v1_e7, v2_d0);
    v2_f4 = __asm_mulpd(v2_d4, v2_d4);
    v2_f8 = __asm_mulpd(v2_d0, v2_d0);
    v2_fc = __asm_unpcklpd(v2_ec, v2_f0);
    v2_100 = __asm_addpd(v2_f4, v2_f8) # bp+100;
    v1_104 = __asm_movapd(v2_fc) # bp+104;
    v1_108 = __asm_pshufd(v2_100, 78) # bp+108;
    v2_10d = __asm_mulpd(v1_104, v1_104);
    v2_111 = __asm_addsd(v2_100, v1_108) # bp+111;
    v1_115 = __asm_pshufd(v2_10d, 78) # bp+115;
    v5_11a = __asm_mulsd(v2_111, *((z.y - 8)));
    v2_11f = __asm_addsd(v1_115, v2_10d);
    v1_12b = __asm_sqrtsd(__asm_divsd(v5_11a, __asm_addsd_3(v2_11f, z.y)));
    v2_133 = __asm_mulpd(v2_fc, __asm_unpcklpd(v1_12b, v1_12b)) # bp+133;
    __asm_movupd_1(z.x, v2_133);
    z.y = arg1;
    return z.x;


	}